%define anolis_release 1

Summary:        Collection of Type 1 and 2 font manipulation utilities
Name:           t1utils
Version:        1.42
Release:        %{anolis_release}%{?dist}
# The Click license is an MIT variant.
License:        MIT
URL:            http://www.lcdf.org/~eddietwo/type/
Source0:        http://www.lcdf.org/~eddietwo/type/t1utils-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make

%description
t1utils is a collection of programs for manipulating PostScript type 1
and type 2 fonts containing programs to convert between PFA (ASCII)
format, PFB (binary) format, a human-readable and editable ASCII format,
and Macintosh resource forks.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
%generate_compatibility_deps

%files
%license LICENSE
%{_bindir}/t1ascii
%{_bindir}/t1asm
%{_bindir}/t1binary
%{_bindir}/t1disasm
%{_bindir}/t1mac
%{_bindir}/t1unmac
%{_mandir}/man1/t1ascii.1*
%{_mandir}/man1/t1asm.1*
%{_mandir}/man1/t1binary.1*
%{_mandir}/man1/t1disasm.1*
%{_mandir}/man1/t1mac.1*
%{_mandir}/man1/t1unmac.1*
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc NEWS.md README.md

%changelog
* Sat Mar 25 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.42-1
- init from upstream
